using System;

internal sealed class Delegate845 : MulticastDelegate
{
	public extern IntPtr Invoke(int int_0);

	public static IntPtr smethod_0(int int_0, Delegate845 delegate845_1)
	{
		return delegate845_1(int_0);
	}

	public extern Delegate845(object object_0, IntPtr intptr_0);

	static Delegate845()
	{
		Class10.smethod_13(typeof(Delegate845).TypeHandle);
	}

	internal static Delegate845 delegate845_0;
}
